Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/inca.card	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/inca.card	(revision 6309)
@@ -22,4 +22,6 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc ) 
 emi_interp_time=1
+# In the case of a CO2AER configuration, choose whether to transmit DMS fluxes from PISCES to INCA.
+transm_dms_oa=y
 
 # Specify output frequency for output files 
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/lmdz.card	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/lmdz.card	(revision 6309)
@@ -91,5 +91,5 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-        (${SUBMIT_DIR}/PARAM/traceur.def_ESMCO2AER, traceur.def),           \
+        (${SUBMIT_DIR}/PARAM/tracer.def_ESMCO2AER, tracer.def),             \
         (${SUBMIT_DIR}/PARAM/coupling_fields.def, .),                       \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/oasis.card	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/oasis.card	(revision 6309)
@@ -17,5 +17,5 @@
 [InitialStateFiles]
 List=   (${R_IN}/CPL/IPSLCM6/${config_UserChoices_ORCA_version}x${RESOL_ATM}_RST_CO2/CM61-pre-pi-01_18491231_flxat_modif.nc, flxat.nc), \
-        (${R_IN}/CPL/IPSLCM6/${config_UserChoices_ORCA_version}x${RESOL_ATM}_RST_CO2/CM61-pre-pi-01_18491231_sstoc_modif.nc, sstoc.nc), \
+        (/ccc/work/cont003/gencmip6/lurtont/IPSLCM6.2_DMS/CM61-pre-pi-01_18491231_sstoc_modif.nc, sstoc.nc), \
         (${R_IN}/CPL/IPSLCM6/${config_UserChoices_ORCA_version}x${RESOL_ATM}_RST_CO2/CM61-pre-pi-01_18491231_icbrg.nc, icbrg.nc), \
         (${R_IN}/CPL/IPSLCM6/${config_UserChoices_ORCA_version}x${RESOL_ATM}_RST_CO2/CM61-pre-pi-01_18491231_icshf.nc, icshf.nc)
@@ -59,24 +59,25 @@
     (CURRENTY_LMDZ_06.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTY.nc,    Post_ncks_cdo),\
     (CURRENTZ_LMDZ_07.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTZ.nc,    Post_ncks_cdo),\
-    (COTAUXXU_LMDZ_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    Post_ncks_cdo),\
-    (COTAUYYU_LMDZ_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    Post_ncks_cdo),\
-    (COTAUZZU_LMDZ_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZU.nc,    Post_ncks_cdo),\
-    (COTAUXXV_LMDZ_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXV.nc,    Post_ncks_cdo),\
-    (COTAUYYV_LMDZ_12.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYV.nc,    Post_ncks_cdo),\
-    (COTAUZZV_LMDZ_13.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZV.nc,    Post_ncks_cdo),\
-    (COWINDSP_LMDZ_14.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COWINDSP.nc,    Post_ncks_cdo),\
-    (COTOTRAI_LMDZ_15.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTRAI.nc,    Post_ncks_cdo),\
-    (COTOTSNO_LMDZ_16.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTSNO.nc,    Post_ncks_cdo),\
-    (COTOTEVA_LMDZ_17.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTEVA.nc,    Post_ncks_cdo),\
-    (COICEVAP_LMDZ_18.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COICEVAP.nc,    Post_ncks_cdo),\
-    (COQSRMIX_LMDZ_19.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQSRMIX.nc,    Post_ncks_cdo),\
-    (COQNSMIX_LMDZ_20.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQNSMIX.nc,    Post_ncks_cdo),\
-    (COSHFICE_LMDZ_21.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFICE.nc,    Post_ncks_cdo),\
-    (CONSFICE_LMDZ_22.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFICE.nc,    Post_ncks_cdo),\
-    (CODFLXDT_LMDZ_23.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    Post_ncks_cdo),\
-    (COCALVIN_LMDZ_24.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COCALVIN.nc,    Post_ncks_cdo),\
-    (COATMCO2_LMDZ_26.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COATMCO2.nc,    Post_ncks_cdo),\
-    (COLIQRUN_LMDZ_27.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    Post_ncks_cdo),\
-    (SICO2FLX_LMDZ_29.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SICO2FLX.nc,    Post_ncks_cdo),\
+    (COTAUXXU_LMDZ_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    Post_ncks_cdo),\
+    (COTAUYYU_LMDZ_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    Post_ncks_cdo),\
+    (COTAUZZU_LMDZ_12.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZU.nc,    Post_ncks_cdo),\
+    (COTAUXXV_LMDZ_13.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXV.nc,    Post_ncks_cdo),\
+    (COTAUYYV_LMDZ_14.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYV.nc,    Post_ncks_cdo),\
+    (COTAUZZV_LMDZ_15.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUZZV.nc,    Post_ncks_cdo),\
+    (COWINDSP_LMDZ_16.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COWINDSP.nc,    Post_ncks_cdo),\
+    (COTOTRAI_LMDZ_17.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTRAI.nc,    Post_ncks_cdo),\
+    (COTOTSNO_LMDZ_18.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTSNO.nc,    Post_ncks_cdo),\
+    (COTOTEVA_LMDZ_19.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTOTEVA.nc,    Post_ncks_cdo),\
+    (COICEVAP_LMDZ_20.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COICEVAP.nc,    Post_ncks_cdo),\
+    (COQSRMIX_LMDZ_21.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQSRMIX.nc,    Post_ncks_cdo),\
+    (COQNSMIX_LMDZ_22.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COQNSMIX.nc,    Post_ncks_cdo),\
+    (COSHFICE_LMDZ_23.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COSHFICE.nc,    Post_ncks_cdo),\
+    (CONSFICE_LMDZ_24.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CONSFICE.nc,    Post_ncks_cdo),\
+    (CODFLXDT_LMDZ_25.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    Post_ncks_cdo),\
+    (COCALVIN_LMDZ_26.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COCALVIN.nc,    Post_ncks_cdo),\
+    (COATMCO2_LMDZ_27.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COATMCO2.nc,    Post_ncks_cdo),\
+    (COLIQRUN_LMDZ_28.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    Post_ncks_cdo),\
+    (SICO2FLX_LMDZ_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SICO2FLX.nc,    Post_ncks_cdo),\
+    (SIDMSFLX_LMDZ_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIDMSFLX.nc,    Post_ncks_cdo),\
     (O_SSTSST_oceanx_01.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_SSTSST.nc,    Post_ncks_cdo),\
     (OIceFrc_oceanx_02.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceFrac.nc,    Post_ncks_cdo),\
@@ -86,26 +87,27 @@
     (O_OCury1_oceanx_06.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OCury1.nc,    Post_ncks_cdo),\
     (O_OCurz1_oceanx_07.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OCurz1.nc,    Post_ncks_cdo),\
-    (O_OTaux1_oceanx_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux1.nc,    Post_ncks_cdo),\
-    (O_OTauy1_oceanx_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy1.nc,    Post_ncks_cdo),\
-    (O_OTauz1_oceanx_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz1.nc,    Post_ncks_cdo),\
-    (O_OTaux2_oceanx_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux2.nc,    Post_ncks_cdo),\
-    (O_OTauy2_oceanx_12.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy2.nc,    Post_ncks_cdo),\
-    (O_OTauz2_oceanx_13.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz2.nc,    Post_ncks_cdo),\
-    (O_Wind10_oceanx_14.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Wind10.nc,    Post_ncks_cdo),\
-    (OTotRain_oceanx_15.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OTotRain.nc,    Post_ncks_cdo),\
-    (OTotSnow_oceanx_16.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OTotSnow.nc,    Post_ncks_cdo),\
-    (OTotEvap_oceanx_17.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OTotEvap.nc,    Post_ncks_cdo),\
-    (OIceEvap_oceanx_18.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceEvap.nc,    Post_ncks_cdo),\
-    (O_QsrMix_oceanx_19.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrMix.nc,    Post_ncks_cdo),\
-    (O_QnsMix_oceanx_20.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsMix.nc,    Post_ncks_cdo),\
-    (O_QsrIce_oceanx_21.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrIce.nc,    Post_ncks_cdo),\
-    (O_QnsIce_oceanx_22.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsIce.nc,    Post_ncks_cdo),\
-    (O_dQnsdT_oceanx_23.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_dQnsdT.nc,    Post_ncks_cdo),\
-    (OCalving_oceanx_24.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OCalving.nc,    Post_ncks_cdo),\
-    (OIceberg_oceanx_25.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceberg.nc,    Post_ncks_cdo),\
-    (OIcshelf_oceanx_26.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIcshelf.nc,    Post_ncks_cdo),\
-    (O_Runoff_oceanx_27.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Runoff.nc,    Post_ncks_cdo),\
-    (O_AtmCO2_oceanx_28.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_AtmCO2.nc,    Post_ncks_cdo),\
-    (O_CO2FLX_oceanx_29.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_CO2FLX.nc,    Post_ncks_cdo),\
+    (O_OTaux1_oceanx_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux1.nc,    Post_ncks_cdo),\
+    (O_OTauy1_oceanx_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy1.nc,    Post_ncks_cdo),\
+    (O_OTauz1_oceanx_12.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz1.nc,    Post_ncks_cdo),\
+    (O_OTaux2_oceanx_13.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux2.nc,    Post_ncks_cdo),\
+    (O_OTauy2_oceanx_14.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy2.nc,    Post_ncks_cdo),\
+    (O_OTauz2_oceanx_15.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauz2.nc,    Post_ncks_cdo),\
+    (O_Wind10_oceanx_16.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Wind10.nc,    Post_ncks_cdo),\
+    (OTotRain_oceanx_17.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OTotRain.nc,    Post_ncks_cdo),\
+    (OTotSnow_oceanx_18.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OTotSnow.nc,    Post_ncks_cdo),\
+    (OTotEvap_oceanx_19.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OTotEvap.nc,    Post_ncks_cdo),\
+    (OIceEvap_oceanx_20.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceEvap.nc,    Post_ncks_cdo),\
+    (O_QsrMix_oceanx_21.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrMix.nc,    Post_ncks_cdo),\
+    (O_QnsMix_oceanx_22.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsMix.nc,    Post_ncks_cdo),\
+    (O_QsrIce_oceanx_23.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QsrIce.nc,    Post_ncks_cdo),\
+    (O_QnsIce_oceanx_24.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_QnsIce.nc,    Post_ncks_cdo),\
+    (O_dQnsdT_oceanx_25.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_dQnsdT.nc,    Post_ncks_cdo),\
+    (OCalving_oceanx_26.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OCalving.nc,    Post_ncks_cdo),\
+    (OIceberg_oceanx_27.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceberg.nc,    Post_ncks_cdo),\
+    (OIcshelf_oceanx_28.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIcshelf.nc,    Post_ncks_cdo),\
+    (O_Runoff_oceanx_29.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Runoff.nc,    Post_ncks_cdo),\
+    (O_AtmCO2_oceanx_30.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_AtmCO2.nc,    Post_ncks_cdo),\
+    (O_CO2FLX_oceanx_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_CO2FLX.nc,    Post_ncks_cdo),\
+    (O_DMSFLX_oceanx_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_DMSFLX.nc,    Post_ncks_cdo),\
     (TEMPO_1D_cpl_atm.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_atm.nc , Post_1D_cpl_atm), \
     (TEMPO_1D_cpl_oce.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_oce.nc , Post_1D_cpl_oce), \
@@ -143,5 +145,5 @@
 Patches = (Patch_20091119_put_out)
 GatherWithInternal = (lon, lat, time)
-TimeSeriesVars2D = (COTAUXXU, COTAUYYU, COTAUZZU, COTAUXXV, COTAUYYV, COTAUZZV, COWINDSP, COTOTRAI, COTOTSNO, COTOTEVA, COICEVAP, COQSRMIX, COQNSMIX, COSHFICE, CONSFICE, CODFLXDT, COCALVIN, COLIQRUN, SISUTESW, SIICECOV, SIICTEMW, SIICEALW, CURRENTX, CURRENTY, CURRENTZ, COATMCO2, SICO2FLX)
+TimeSeriesVars2D = (COTAUXXU, COTAUYYU, COTAUZZU, COTAUXXV, COTAUYYV, COTAUZZV, COWINDSP, COTOTRAI, COTOTSNO, COTOTEVA, COICEVAP, COQSRMIX, COQNSMIX, COSHFICE, CONSFICE, CODFLXDT, COCALVIN, COLIQRUN, SISUTESW, SIICECOV, SIICTEMW, SIICEALW, CURRENTX, CURRENTY, CURRENTZ, COATMCO2, SICO2FLX, SIDMSFLX)
 ChunckJob2D = OFF
 TimeSeriesVars3D = ()
@@ -152,5 +154,5 @@
 Patches = (Patch_20091119_put_out)
 GatherWithInternal = (lon, lat, time)
-TimeSeriesVars2D = (O_OTaux1, O_OTauy1, O_OTauz1, O_OTaux2, O_OTauy2, O_OTauz2, O_Wind10, OTotRain, OTotSnow, OTotEvap, OIceEvap, O_QsrMix, O_QnsMix, O_QsrIce, O_QnsIce, O_dQnsdT, OCalving, OIceberg, OIcshelf, O_Runoff, O_SSTSST, OIceFrc, O_TepIce, O_AlbIce, O_OCurx1, O_OCury1, O_OCurz1,  O_AtmCO2, O_CO2FLX)
+TimeSeriesVars2D = (O_OTaux1, O_OTauy1, O_OTauz1, O_OTaux2, O_OTauy2, O_OTauz2, O_Wind10, OTotRain, OTotSnow, OTotEvap, OIceEvap, O_QsrMix, O_QnsMix, O_QsrIce, O_QnsIce, O_dQnsdT, OCalving, OIceberg, OIcshelf, O_Runoff, O_SSTSST, OIceFrc, O_TepIce, O_AlbIce, O_OCurx1, O_OCury1, O_OCurz1,  O_AtmCO2, O_CO2FLX, O_DMSFLX)
 ChunckJob2D = OFF
 TimeSeriesVars3D = ()
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/config.card	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/config.card	(revision 6309)
@@ -153,5 +153,5 @@
 RestartJobName=CM61-LR-pi-03g
 #D- Path Server Group Login
-RestartPath=/ccc/store/cont003/gencmip6/p86cadul/IGCM_OUT/IPSLCM6/PROD/piControl
+RestartPath=/ccc/store/cont003/gencmip6/lurtont/IGCM_OUT/IPSLCM6/PROD/piControl
 
 #========================================================================
@@ -226,4 +226,4 @@
 #D- Usefull if you do not want to consider the first X simulations years
 SeasonalFrequencyOffset=0
-
-#========================================================================
+RebuildFrequency=1M
+#========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/inca.driver	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/inca.driver	(revision 6309)
@@ -403,5 +403,10 @@
     fi
 
-
+    # inca.def : choose to transmit DMS from PISCES to INCA
+    if [ X${inca_UserChoices_transm_dms_oa} = X ] ; then
+    IGCM_comp_modifyDefFile nonblocker inca.def transm_dms_oa n
+    else
+    IGCM_comp_modifyDefFile nonblocker inca.def transm_dms_oa ${inca_UserChoices_transm_dms_oa}
+    fi
 
     #inca.def : choose which xml will be use (with group or no = cmip files) 
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/inca.def
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/inca.def	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/inca.def	(revision 6309)
@@ -29,2 +29,3 @@
 cmip_xml=_AUTO_: DEFAULT =n
 xios_read=n
+transm_dms_oa=_AUTO_: DEFAULT=n
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namcouple_ESMCO2AER_ORCA1xLMD144142
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namcouple_ESMCO2AER_ORCA1xLMD144142	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namcouple_ESMCO2AER_ORCA1xLMD144142	(revision 6309)
@@ -19,5 +19,5 @@
 #
  $NFIELDS
-            29
+            30
  $END
 ###############################################################################
@@ -163,4 +163,22 @@
 #
 #
+###########################################################################
+#
+#                     OCEAN   --->>>   INCA
+#                     ---------------------
+###########################################################################
+#
+# Field 9 : Ocean DMS flux  (o->a 9)
+O_DMSFLX SIDMSFLX 39  <freq_coupling>  2  sstoc.nc  <output_mode>
+362 332 144 143 torc  tlmd  LAG=<lag_oce>
+P  30 P  3
+LOCTRANS MAPPING
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field
+#
+rmp_torc_to_tlmd_MOSAIC.nc src
+# CHECKOUT: indicate computation of global, land and sea field
+#
+#
 ############################################################################
 #
@@ -169,5 +187,5 @@
 ############################################################################   
 #
-# Field 8 : wind stress along X axis (a->o 1)
+# Field 10 : wind stress along X axis (a->o 1)
 #
 COTAUXXU O_OTaux1 23 <freq_coupling>  1  flxat.nc   <output_mode>
@@ -182,5 +200,5 @@
 ###########################################################################
 #
-# Field 9 : stress along Y axis (a->o 2)
+# Field 11 : stress along Y axis (a->o 2)
 #
 COTAUYYU O_OTauy1 23 <freq_coupling>  1  flxat.nc  <output_mode>
@@ -195,5 +213,5 @@
 ###########################################################################
 #
-# Field 10 :wind stress along Z axis (a->o 3)
+# Field 12 :wind stress along Z axis (a->o 3)
 #
 COTAUZZU O_OTauz1 23 <freq_coupling>  1  flxat.nc  <output_mode>
@@ -208,5 +226,5 @@
 ##########################################################################
 #
-# Field 11 : wind stress along X axis 2 (a->o 4)
+# Field 13 : wind stress along X axis 2 (a->o 4)
 #
 COTAUXXV O_OTaux2  24 <freq_coupling>  1    flxat.nc  <output_mode>
@@ -220,5 +238,5 @@
 ##########################################################################
 #
-# Field 12 : wind stress along Y axis 2 (a->o 5) 
+# Field 14 : wind stress along Y axis 2 (a->o 5) 
 #
 COTAUYYV O_OTauy2  24 <freq_coupling>  1    flxat.nc  <output_mode>
@@ -232,5 +250,5 @@
 ##########################################################################
 #
-# Field 13 :  wind stress along Z axis 2 (a->o 6) 
+# Field 15 :  wind stress along Z axis 2 (a->o 6) 
 #
 COTAUZZV O_OTauz2  24 <freq_coupling>  1    flxat.nc  <output_mode>
@@ -243,5 +261,6 @@
 #
 #########################################################################
-# Field 14 :  wind speed 10m (a->o 7) 
+#
+# Field 16 :  wind speed 10m (a->o 7) 
 #
 COWINDSP O_Wind10  56 <freq_coupling>  1    flxat.nc  <output_mode>
@@ -256,5 +275,5 @@
 #########################################################################
 #
-# Field 15 : Total rain (a->o 8)
+# Field 17 : Total rain (a->o 8)
 #
 COTOTRAI OTotRain 26 <freq_coupling>  1   flxat.nc   <output_mode>
@@ -269,5 +288,5 @@
 ##########################################################################
 #
-# Field 16 :  Total snow (a->o 9)
+# Field 18 :  Total snow (a->o 9)
 #
 COTOTSNO  OTotSnow 28 <freq_coupling>  1   flxat.nc   <output_mode>
@@ -282,5 +301,5 @@
 #########################################################################
 #
-# Field 17 : Total evap (a->o 10)
+# Field 19 : Total evap (a->o 10)
 #
 COTOTEVA  OTotEvap 25 <freq_coupling>  1   flxat.nc   <output_mode>
@@ -295,5 +314,5 @@
 ##########################################################################
 #
-# Field 18 : Evaporation Ice  (a->o 11)
+# Field 20 : Evaporation Ice  (a->o 11)
 #
 COICEVAP OIceEvap 41 <freq_coupling>  1   flxat.nc   <output_mode>
@@ -308,5 +327,5 @@
 ##########################################################################
 #
-# Field 19 : Total solar heat flux (a->o 12)
+# Field 21 : Total solar heat flux (a->o 12)
 #
 COQSRMIX O_QsrMix  7 <freq_coupling> 1   flxat.nc  <output_mode>
@@ -321,5 +340,5 @@
 #########################################################################
 #
-# Field 20 : Total Non solar heat flux (a->o 13)
+# Field 22 : Total Non solar heat flux (a->o 13)
 #
 COQNSMIX O_QnsMix 6 <freq_coupling>  1   flxat.nc  <output_mode>
@@ -334,5 +353,5 @@
 ###########################################################################
 #
-# Field 21 : solar heat flux on ice (a->o 14)
+# Field 23 : solar heat flux on ice (a->o 14)
 #
 COSHFICE O_QsrIce  7 <freq_coupling> 1   flxat.nc  <output_mode>
@@ -347,5 +366,5 @@
 ############################################################################
 #
-# Field 22 : Non solar heat flux on ice (a->o 15)
+# Field 24 : Non solar heat flux on ice (a->o 15)
 #
 CONSFICE O_QnsIce 6 <freq_coupling>  1  flxat.nc  <output_mode>
@@ -360,5 +379,5 @@
 ############################################################################
 #
-# Field 23 : Non solar heat flux derivative (a->o 16)
+# Field 25 : Non solar heat flux derivative (a->o 16)
 #
 CODFLXDT O_dQnsdT  35 <freq_coupling>  1   flxat.nc  <output_mode>
@@ -373,5 +392,5 @@
 #########################################################################
 #
-# Field 24 : iceberg calving north (a->o 17)
+# Field 26 : iceberg calving north (a->o 17)
 #
 COCALVIN OCalving  36 <freq_coupling_roff_calv>  2  flxat.nc  <output_mode>
@@ -387,5 +406,5 @@
 #########################################################################
 #
-# Field 25 : iceberg melting (a->o 17)
+# Field 27 : iceberg melting (a->o 17)
 #
 COCALVIN OIceberg  36 <freq_coupling_roff_calv>  3  icbrg.nc  <output_mode>
@@ -401,5 +420,5 @@
 #########################################################################
 #
-# Field 26 : ice shelf melting (a->o 17)
+# Field 28 : ice shelf melting (a->o 17)
 #
 COCALVIN OIcshelf  36 <freq_coupling_roff_calv>  3  icshf.nc  <output_mode>
@@ -415,5 +434,5 @@
 ##########################################################################
 #
-# Field 27 : liquid run-off (river + direct)  (a->o 18)
+# Field 29 : liquid run-off (river + direct)  (a->o 18)
 #
 COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
@@ -433,5 +452,5 @@
 #########################################################################
 #
-# Field 29 : atmospheric CO2 concentration  (a->o 24)
+# Field 30 : atmospheric CO2 concentration  (a->o 24)
 #
 COATMCO2 O_AtmCO2 37 <freq_coupling>  1   flxat.nc   <output_mode>
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ESMCO2AER_ORCA1_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ESMCO2AER_ORCA1_cfg	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ESMCO2AER_ORCA1_cfg	(revision 6309)
@@ -203,4 +203,5 @@
 sn_snd_crt    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
 sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_dms    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
 ! receive
 sn_rcv_w10m   =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ESMCO2_ORCA1_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ESMCO2_ORCA1_cfg	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ESMCO2_ORCA1_cfg	(revision 6309)
@@ -203,4 +203,5 @@
 sn_snd_crt    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
 sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_dms    =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
 ! receive
 sn_rcv_w10m   =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA1_cfg	(revision 6309)
@@ -228,5 +228,6 @@
 sn_snd_thick  =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
 sn_snd_crt    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
-sn_snd_co2    =       'none'              ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_co2    =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
+sn_snd_dms    =       'none'                 ,    'no'    ,     ''      ,         ''           ,   '
 ! receive
 sn_rcv_w10m   =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/tracer.def_ESMCO2AER
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/tracer.def_ESMCO2AER	(revision 6309)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/tracer.def_ESMCO2AER	(revision 6309)
@@ -0,0 +1,15 @@
+&version=1.0
+&lmdz
+default hadv=10 vadv=10 phases=g type=tracer parent=air
+H2O hadv=14 vadv=14
+H2O phases=ls
+&co2i
+default hadv=10 vadv=10 phases=g type=tracer parent=air
+CO2
+&inca
+default parent=air phases=g hadv=10 vadv=10
+Rn222
+Pb210
+NO2,NO3,HNO3,N2O5,SO2,H2S,DMS,DMSO,NH3,CIDUSTM,CINO3M,CIN,AIBCM,AIPOMM,AIN,CSSSM,CSSO4M
+CSNH4M hadv=0 vadv=0
+CSMSAM,CSNO3M,CSN,ASSSM,ASBCM,ASPOMM,ASSO4M,ASNH4M,ASMSAM,ASNO3M,ASN,SSSSM,SSN
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh	(revision 6307)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh	(revision 6309)
@@ -71,5 +71,5 @@
          [ESMCO2] Compile IPSLCM6 for CO2 interactif ocean/atmosphere.
          [ESMAER] Compile IPSLCM6 for AER interactif on atmosphere
-         [ESMCO2AER] Compile IPSLCM6 for both interactive CO2 and AER.
+         [ESMCO2AER] Compile IPSLCM6 for both interactive CO2 and AER, and also with transfer of species from PISCES to INCA.
          [-full] Full recompilation of all components. This option can be added to all other options.
          [-cleannemo] Full recompilation of NEMO component  only.
@@ -279,13 +279,17 @@
    delkeys="key_nosignedzero key_mpp_rep"
 else
-   addkeys="key_top key_pisces key_age key_cfc key_cpl_carbon_cycle key_gas key_oasis3"
+   addkeys="key_top key_pisces key_age key_cfc key_cpl_carbon_cycle key_gas key_oasis3 key_transm_ocninca"
    if [ ${oceanbio} == y ] ; then
       if [ ${esmco2} == y ] ; then
-         delkeys="key_nosignedzero key_mpp_rep"
+        if [ ${esmaer} == y ] ; then
+           delkeys="key_nosignedzero key_mpp_rep"
+        else
+           delkeys="key_nosignedzero key_mpp_rep key_transm_ocninca"
+        fi
       else
-         delkeys="key_nosignedzero key_mpp_rep key_cpl_carbon_cycle key_gas"
+         delkeys="key_nosignedzero key_mpp_rep key_cpl_carbon_cycle key_gas key_transm_ocninca"
       fi
    else
-      delkeys="key_nosignedzero key_mpp_rep key_top key_pisces key_cfc key_age key_cpl_carbon_cycle key_gas"
+      delkeys="key_nosignedzero key_mpp_rep key_top key_pisces key_cfc key_age key_cpl_carbon_cycle key_gas key_transm_ocninca"
    fi
 fi
@@ -350,9 +354,13 @@
 if [ ${esmaer} == y ] ;  then 
     cd $modipsl/modeles/INCA
-    #compile INCA regulat lat_lon chimie librairy 
+    #compile INCA regulat lat_lon chimie library 
     echo; echo "NOW COMPILE INCA AER on resolution = ${resol_atm}"
-    echo ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch}  -arch_path $arch_path $full_flag $full_inca >> $outfile 
-    ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca >> $outfile 2>&1
-
+    if [ ${esmco2} == y ] ; then
+      echo ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path $full_flag $full_inca -cplocninca >> $outfile
+      ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca -cplocninca >> $outfile 2>&1
+    else
+      echo ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path $full_flag $full_inca >> $outfile 
+      ./makeinca_fcm -chimie AER -$optmode -xios -parallel mpi_omp -j 8 -arch ${fcm_arch} -arch_path $arch_path  $full_flag $full_inca >> $outfile 2>&1
+    fi
     # Test if compiling finished
     if [[ $? != 0 ]] ; then
@@ -409,6 +417,11 @@
 else
     #in esm aer case add chemistry option to lmdz compilation
-    echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile
-    ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true $opt_rad -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
+    if [ ${esmco2} == y ] ; then
+      echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -cplocninca -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile
+      ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -cplocninca -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
+    else
+      echo ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile
+      ./makelmdz_fcm -d ${resol_atm} -c OMCT -cosp true -rrtm true -$optmode -mem -parallel $parallel -chimie INCA -io xios -v orchidee2.1 -arch $fcm_arch -arch_path $arch_path -j 8 $full_lmdz gcm    >> $outfile 2>&1
+    fi
 fi
 
